Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452919 - rhn-applet-gui doesn't show correct real-time updates when re-registered to new satellite
Summary: rhn-applet-gui doesn't show correct real-time updates when re-registered to n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet
Version: 4.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: John Matthews
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 21:11 UTC by Sayli Karmarkar
Modified: 2015-03-23 01:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* Previously, if the Red Hat Network applet was used to re-register the client to a different Red Hat Satellite Server, the applet would continue to show updates that had been available on the previous server, even if they were not available on the current server. The /etc/sysconfig/rhn/rhn-applet would not change to reflect the details of the new server. The version of the applet provided with this advisory associates a cache of updates with a server url, and therefore ensure that the updates displayed to the user are actually available. This version can also detect when its configuration file has changed. If such a change is detected, the applet will automatically reload the configuration variables and create new server connections.
Clone Of:
Environment:
Last Closed: 2009-05-18 20:15:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0975 normal SHIPPED_LIVE rhn-applet bug fix update 2009-05-18 13:42:34 UTC

Comment 4 wes hayutin 2008-10-30 19:43:04 UTC
oh there he goes again.. taking credit for my work

Comment 6 Ruediger Landmann 2009-01-12 06:29:42 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* If an end-user re-registered the client to use a different Red Hat Satellite Server, the applet would continue to show updates that had been available on the previous server, even if they were not available on the current server. The /etc/sysconfig/rhn/rhn-applet would not change to reflect the details of the new server. The version of the applet provided with this advisory associates a cache of updates with a server url, and therefore ensure that the updates displayed to the user are actually available. This version can also detect when its configuration file has changed. If such a change is detected, the applet will automatically reload the configuration variables, create new server connections, and obtain a fresh list of available packages.

Comment 15 Jan Hutař 2009-03-24 09:10:02 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-* If an end-user re-registered the client to use a different Red Hat Satellite Server, the applet would continue to show updates that had been available on the previous server, even if they were not available on the current server. The /etc/sysconfig/rhn/rhn-applet would not change to reflect the details of the new server. The version of the applet provided with this advisory associates a cache of updates with a server url, and therefore ensure that the updates displayed to the user are actually available. This version can also detect when its configuration file has changed. If such a change is detected, the applet will automatically reload the configuration variables, create new server connections, and obtain a fresh list of available packages.+* If an end-user re-registered the client to use a different Red Hat Satellite Server, the applet would continue to show updates that had been available on the previous server, even if they were not available on the current server. The /etc/sysconfig/rhn/rhn-applet would not change to reflect the details of the new server. The version of the applet provided with this advisory associates a cache of updates with a server url, and therefore ensure that the updates displayed to the user are actually available. This version can also detect when its configuration file has changed. If such a change is detected, the applet will automatically reload the configuration variables and create new server connections.

Comment 17 Ryan Lerch 2009-03-31 23:53:29 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-* If an end-user re-registered the client to use a different Red Hat Satellite Server, the applet would continue to show updates that had been available on the previous server, even if they were not available on the current server. The /etc/sysconfig/rhn/rhn-applet would not change to reflect the details of the new server. The version of the applet provided with this advisory associates a cache of updates with a server url, and therefore ensure that the updates displayed to the user are actually available. This version can also detect when its configuration file has changed. If such a change is detected, the applet will automatically reload the configuration variables and create new server connections.+* Previously, if the Red Hat Network applet was used to re-register the client to a different Red Hat Satellite Server, the applet would continue to show updates that had been available on the previous server, even if they were not available on the current server. The /etc/sysconfig/rhn/rhn-applet would not change to reflect the details of the new server. The version of the applet provided with this advisory associates a cache of updates with a server url, and therefore ensure that the updates displayed to the user are actually available. This version can also detect when its configuration file has changed. If such a change is detected, the applet will automatically reload the configuration variables and create new server connections.

Comment 19 errata-xmlrpc 2009-05-18 20:15:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0975.html


Note You need to log in before you can comment on or make changes to this bug.